CifParserInt.h File Reference

Header file for bison interfacing to CifParser class. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | STOP_PARSING 2

## Functions

void | ProcessAssignmentsFromParser ()
int | ProcessItemValuePairFromParser ()
int | ProcessLoopDeclarationFromParser ()
void | ProcessLoopFromParser ()
int | ProcessItemNameListFromParser ()
int | ProcessValueListFromParser ()
void | ProcessItemNameFromParser ()
void | ProcessItemValueFromParser ()
void | ProcessLsItemValueFromParser ()
void | ProcessUnknownValueFromParser ()
void | ProcessMissingValueFromParser ()
void | ProcessDataBlockNameFromParser ()
void | cifparser_error (const char *)

## Variables

char * | Glob_tBufKeyword
char * | Glob_pBufValue
char * | Glob_dataBlockName

## Detailed Description

Header file for bison interfacing to CifParser class.

## Macro Definition Documentation

## STOP_PARSING

#define STOP_PARSING 2

## Function Documentation

## cifparser_error()

void cifparser_error | ( | const char * |  | ) |

## ProcessAssignmentsFromParser()

void ProcessAssignmentsFromParser | ( |  | ) |

## ProcessDataBlockNameFromParser()

void ProcessDataBlockNameFromParser | ( |  | ) |

## ProcessItemNameFromParser()

void ProcessItemNameFromParser | ( |  | ) |

## ProcessItemNameListFromParser()

int ProcessItemNameListFromParser | ( |  | ) |

## ProcessItemValueFromParser()

void ProcessItemValueFromParser | ( |  | ) |

## ProcessItemValuePairFromParser()

int ProcessItemValuePairFromParser | ( |  | ) |

## ProcessLoopDeclarationFromParser()

int ProcessLoopDeclarationFromParser | ( |  | ) |

## ProcessLoopFromParser()

void ProcessLoopFromParser | ( |  | ) |

## ProcessLsItemValueFromParser()

void ProcessLsItemValueFromParser | ( |  | ) |

## ProcessMissingValueFromParser()

void ProcessMissingValueFromParser | ( |  | ) |

## ProcessUnknownValueFromParser()

void ProcessUnknownValueFromParser | ( |  | ) |

## ProcessValueListFromParser()

int ProcessValueListFromParser | ( |  | ) |

## Variable Documentation

## Glob_dataBlockName

char* Glob_dataBlockName

extern

## Glob_pBufValue

char* Glob_pBufValue

extern

## Glob_tBufKeyword

char* Glob_tBufKeyword

extern